device_type: synquacer

job_name: acs-testing-{{ ci_job_id }}

timeouts:
  job:
    minutes: 600
  action:
    minutes: 600
  connection:
    minutes: 2

visibility:
  group:
  - AlwaysReady

actions:

- deploy:
    to: downloads
    images:
      os:
        url: https://gitlab.com/Linaro/trustedsubstrate/systemready/acs-testing/-/raw/main/images/ir-acs-live-image-generic-arm64.wic.xz
        compression: xz
        partition: 1
        format: ext4
        overlays:
          lava: true
      curl:
        url: https://github.com/moparisthebest/static-curl/releases/download/v8.0.1/curl-aarch64

- deploy:
    to: tftp
    kernel:
        url: downloads://ir-acs-live-image-generic-arm64.wic
 
- boot:
    method: u-boot    
    timeout:
      minutes: 600
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    commands:
      - setenv serverip {SERVER_IP} && setenv ipaddr 172.27.16.144
      - scsi rescan && scsi dev 0 && scsi info
      - tftp 0x90000000 {KERNEL}
      - scsi write 0x90000000 0 280000
      - echo "Starting kernel"; run bootcmd

- test:
    timeout:
      minutes: 5
      skip: false
    interactive:
    - name: smoke-ls
      prompts:
        - root@(.*):[/~]#
      echo: discard
      script:
      - name: run-ls
        command: "ls / && sleep 60 && wget http://{SERVER_IP}/tmp/{JOB_ID}/downloads/common/curl-aarch64 -O /usr/bin/curl && chmod +x /usr/bin/curl && which curl"

- test:
    timeout:
      minutes: 5
    definitions:
    - repository: https://gitlab.com/Linaro/trustedsubstrate/systemready/test-definitions.git
      from: git
      path: acs/publish-results.yml
      name: publish-acs-results
      parameters:
        SQUAD_URL: "{{ squad_host }}/api/submit/{{ squad_group }}/{{ squad_project }}/{{ squad_build }}/{{ squad_device }}"
        SQUAD_TOKEN: "{{ squad_token }}"
